OpenAgentPack Kit
POST
/api/admin/agents/{slug}/plan

Path Parameters

slug*string

Request Body

application/json
  1. body
action*"listing"
Value in"listing"
status*string
Value in"listed""unlisted"

Response Body

上/下架或删除条目的 plan 与一次性确认令牌(AGENTS.md 红线:必须 plan → 确认)

application/json
  1. response
data*
curl -X POST 'https://example.com/api/admin/agents/string/plan' \  -H 'Content-Type: application/json' \  -d '{  "action": "listing",  "status": "listed"}'
{  "data": {    "plan_id": "string",    "confirm_token": "string",    "destructive": true,    "expires_at": 0,    "diff": [      {        "resource": "string",        "action": "string",        "destructive": true,        "summary": "string"      }    ]  }}